Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text

From: Richard Stallman <[email-masked]>
Date: Sun, 20 Sep 2015 14:26:43 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Or maybe the "undo-in-region" should only ever undo complete steps
  > (i.e. everything between two undo boundaries), so if any part of an undo
  > step affects text outside of the region, then the whole step is skipped.

The undo commands are supposed to undo a complete change
as one unit.  If in this case it fails to do that, that would seem
to be a bug, right?

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.